Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSAttributeUse

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  XSAttributeUseImpl

Deprecated. The interface may be updated or replaced.

public interface XSAttributeUse
extends XSObject

This interface represents the Attribute Use schema component.

Method Summary
`XSAttributeDeclaration` | `getAttrDeclaration()` Deprecated. [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.
`short` | `getConstraintType()` Deprecated. Value Constraint: one of default, fixed.
`java.lang.String` | `getConstraintValue()` Deprecated. Value Constraint: The actual value.
`boolean` | `getRequired()` Deprecated. [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getRequired

    public boolean getRequired()

  Deprecated.
  [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

### getAttrDeclaration

    public XSAttributeDeclaration getAttrDeclaration()

  Deprecated.
  [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.

### getConstraintType

    public short getConstraintType()

  Deprecated.
  Value Constraint: one of default, fixed.

### getConstraintValue

    public java.lang.String getConstraintValue()

  Deprecated.
  Value Constraint: The actual value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.